System Requirements

Recommended Configuration

Following are the recommended hardware, software, and communications requirements for Checkpoint:

  • High-speed Internet connection
  • Microsoft Internet Explorer® version 11 or Mozilla® Firefox (latest version) or Google Chrome (latest version)
  • Adobe Acrobat® Reader (latest version)
  • 1280 x 960 or higher screen resolution
  • JavaScript enabled in the browser

Minimum Configuration

Following are the minimum hardware, software, and communications requirements needed to use Checkpoint:

  • High-speed Internet connection
  • Microsoft Internet Explorer® 11 or Mozilla® Firefox (latest version), Chrome (latest version), Safari (latest version)
  • Responsive to all screen resolutions
  • Adobe Acrobat® Reader 5.0, for viewing PDF forms
  • JavaScript enabled in the browser

Please note: With Microsoft ending support for older versions of Internet Explorer on January 12, 2016. To ensure an enhanced Checkpoint experience, upgrade to Internet Explorer 11 as older version will no longer be supported.

Handheld Devices

Checkpoint is responsive to the device from which it is accessed and will deliver an optimised experience on hand held devices like tablets and smart phones.

 

Please note: With Microsoft ending support for older versions of Internet Explorer on January 12, 2016. To ensure an enhanced Checkpoint experience, upgrade to Internet Explorer 11 as older version will no longer be supported.